Index: palm/trunk/SOURCE/data_output_module.f90
===================================================================
--- palm/trunk/SOURCE/data_output_module.f90	(revision 4146)
+++ palm/trunk/SOURCE/data_output_module.f90	(revision 4147)
@@ -3478,80 +3507,80 @@
 !> starts and origins are set to zero for all dimensions.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE get_masked_indices_and_masked_dimension_bounds(                             &
-              dimensions, bounds_start, bounds_end, bounds_masked_start, value_counts, &
-              bounds_origin, masked_indices )
-
-   ! CHARACTER(LEN=*), PARAMETER ::  routine_name = 'get_masked_indices_and_masked_dimension_bounds'  !< name of routine
-
-   INTEGER ::  d  !< loop index
-   INTEGER ::  i  !< loop index
-
-   INTEGER, DIMENSION(:), INTENT(IN)  ::  bounds_end           !< upper bonuds to be searched in
-   INTEGER, DIMENSION(:), INTENT(OUT) ::  bounds_masked_start  !< lower bounds of masked dimensions within given bounds
-   INTEGER, DIMENSION(:), INTENT(OUT) ::  bounds_origin        !< first index of each dimension, 0 if dimension is masked
-   INTEGER, DIMENSION(:), INTENT(IN)  ::  bounds_start         !< lower bounds to be searched in
-   INTEGER, DIMENSION(:), INTENT(OUT) ::  value_counts         !< count of indices per dimension to be output
-
-   INTEGER, DIMENSION(:,:), ALLOCATABLE, INTENT(OUT) ::  masked_indices  !< masked indices within given bounds
-
-   TYPE(dimension_type), DIMENSION(:), INTENT(IN) ::  dimensions  !< dimensions to be searched for masked indices
-
-
-   ALLOCATE( masked_indices(SIZE( dimensions ),0:MAXVAL( bounds_end - bounds_start + 1 )) )
-   masked_indices = -HUGE( 0 )
-
-   !-- Check for masking and update lower and upper bounds if masked
-   DO  d = 1, SIZE( dimensions )
-
-      IF ( dimensions(d)%is_masked )  THEN
-
-         bounds_origin(d) = 0
-
-         bounds_masked_start(d) = -HUGE( 0 )
-
-         !-- Find number of masked values within given variable bounds
-         value_counts(d) = 0
-         DO  i = LBOUND( dimensions(d)%masked_indices, DIM=1 ), &
-                 UBOUND( dimensions(d)%masked_indices, DIM=1 )
-
-            !-- Is masked index within given bounds?
-            IF ( dimensions(d)%masked_indices(i) >= bounds_start(d)  .AND.  &
-                 dimensions(d)%masked_indices(i) <= bounds_end(d)           )  THEN
-
-               !-- Save masked index
-               masked_indices(d,value_counts(d)) = dimensions(d)%masked_indices(i)
-               value_counts(d) = value_counts(d) + 1
-
-               !-- Save bounds of mask within given bounds
-               IF ( bounds_masked_start(d) == -HUGE( 0 ) )  bounds_masked_start(d) = i
-
-            ENDIF
-
-         ENDDO
-
-         !-- Set masked bounds to zero if no masked index lies within bounds
-         IF ( value_counts(d) == 0 )  THEN
-            bounds_origin(:) = 0
-            bounds_masked_start(:) = 0
-            value_counts(:) = 0
-            EXIT
-         ENDIF
-
-      ELSE
-
-         !-- If dimension is not masked, save all indices within bounds for output
-         bounds_origin(d) = dimensions(d)%bounds(1)
-         bounds_masked_start(d) = bounds_start(d)
-         value_counts(d) = bounds_end(d) - bounds_start(d) + 1
-
-         DO  i = 0, value_counts(d) - 1
-            masked_indices(d,i) = bounds_start(d) + i
-         ENDDO
-
-      ENDIF
-
-   ENDDO
-
-END SUBROUTINE get_masked_indices_and_masked_dimension_bounds
+ SUBROUTINE get_masked_indices_and_masked_dimension_bounds(                             &
+               dimensions, bounds_start, bounds_end, bounds_masked_start, value_counts, &
+               bounds_origin, masked_indices )
+
+    ! CHARACTER(LEN=*), PARAMETER ::  routine_name = 'get_masked_indices_and_masked_dimension_bounds'  !< name of routine
+
+    INTEGER ::  d  !< loop index
+    INTEGER ::  i  !< loop index
+
+    INTEGER, DIMENSION(:), INTENT(IN)  ::  bounds_end           !< upper bonuds to be searched in
+    INTEGER, DIMENSION(:), INTENT(OUT) ::  bounds_masked_start  !< lower bounds of masked dimensions within given bounds
+    INTEGER, DIMENSION(:), INTENT(OUT) ::  bounds_origin        !< first index of each dimension, 0 if dimension is masked
+    INTEGER, DIMENSION(:), INTENT(IN)  ::  bounds_start         !< lower bounds to be searched in
+    INTEGER, DIMENSION(:), INTENT(OUT) ::  value_counts         !< count of indices per dimension to be output
+
+    INTEGER, DIMENSION(:,:), ALLOCATABLE, INTENT(OUT) ::  masked_indices  !< masked indices within given bounds
+
+    TYPE(dimension_type), DIMENSION(:), INTENT(IN) ::  dimensions  !< dimensions to be searched for masked indices
+
+
+    ALLOCATE( masked_indices(SIZE( dimensions ),0:MAXVAL( bounds_end - bounds_start + 1 )) )
+    masked_indices = -HUGE( 0 )
+!
+!-- Check for masking and update lower and upper bounds if masked
+    DO  d = 1, SIZE( dimensions )
+
+       IF ( dimensions(d)%is_masked )  THEN
+
+          bounds_origin(d) = 0
+
+          bounds_masked_start(d) = -HUGE( 0 )
+!
+!--       Find number of masked values within given variable bounds
+          value_counts(d) = 0
+          DO  i = LBOUND( dimensions(d)%masked_indices, DIM=1 ), &
+                  UBOUND( dimensions(d)%masked_indices, DIM=1 )
+!
+!--          Is masked index within given bounds?
+             IF ( dimensions(d)%masked_indices(i) >= bounds_start(d)  .AND.  &
+                  dimensions(d)%masked_indices(i) <= bounds_end(d)           )  THEN
+!
+!--             Save masked index
+                masked_indices(d,value_counts(d)) = dimensions(d)%masked_indices(i)
+                value_counts(d) = value_counts(d) + 1
+!
+!--             Save bounds of mask within given bounds
+                IF ( bounds_masked_start(d) == -HUGE( 0 ) )  bounds_masked_start(d) = i
+
+             ENDIF
+
+          ENDDO
+!
+!--       Set masked bounds to zero if no masked index lies within bounds
+          IF ( value_counts(d) == 0 )  THEN
+             bounds_origin(:) = 0
+             bounds_masked_start(:) = 0
+             value_counts(:) = 0
+             EXIT
+          ENDIF
+
+       ELSE
+!
+!--       If dimension is not masked, save all indices within bounds for output
+          bounds_origin(d) = dimensions(d)%bounds(1)
+          bounds_masked_start(d) = bounds_start(d)
+          value_counts(d) = bounds_end(d) - bounds_start(d) + 1
+
+          DO  i = 0, value_counts(d) - 1
+             masked_indices(d,i) = bounds_start(d) + i
+          ENDDO
+
+       ENDIF
+
+    ENDDO
+
+ END SUBROUTINE get_masked_indices_and_masked_dimension_bounds
 
 !--------------------------------------------------------------------------------------------------!
@@ -3561,22 +3590,22 @@
 !> or creating the error message string.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE internal_message( level, string )
-
-   CHARACTER(LEN=*), INTENT(IN) ::  level   !< message importance level
-   CHARACTER(LEN=*), INTENT(IN) ::  string  !< message string
-
-
-   IF ( TRIM( level ) == 'error' )  THEN
-
-      WRITE( internal_error_message, '(A,A)' ) 'DOM ERROR: ', string
-
-   ELSEIF ( TRIM( level ) == 'debug'  .AND.  print_debug_output )  THEN
-
-      WRITE( debug_output_unit, '(A,A)' ) 'DOM DEBUG: ', string
-      FLUSH( debug_output_unit )
-
-   ENDIF
-
-END SUBROUTINE internal_message
+ SUBROUTINE internal_message( level, string )
+
+    CHARACTER(LEN=*), INTENT(IN) ::  level   !< message importance level
+    CHARACTER(LEN=*), INTENT(IN) ::  string  !< message string
+
+
+    IF ( TRIM( level ) == 'error' )  THEN
+
+       WRITE( internal_error_message, '(A,A)' ) 'DOM ERROR: ', string
+
+    ELSEIF ( TRIM( level ) == 'debug'  .AND.  print_debug_output )  THEN
+
+       WRITE( debug_output_unit, '(A,A)' ) 'DOM DEBUG: ', string
+       FLUSH( debug_output_unit )
+
+    ENDIF
+
+ END SUBROUTINE internal_message
 
 !--------------------------------------------------------------------------------------------------!
